Skip to content
GitLab
Explore
Sign in
Register
Primary navigation
Search or go to…
Project
L
libvirt
Manage
Activity
Members
Labels
Plan
Wiki
Code
Merge requests
Repository
Branches
Commits
Tags
Repository graph
Compare revisions
Snippets
Build
Pipelines
Jobs
Pipeline schedules
Artifacts
Deploy
Releases
Container Registry
Model registry
Operate
Environments
Analyze
Value stream analytics
Contributor analytics
CI/CD analytics
Repository analytics
Model experiments
Help
Help
Support
GitLab documentation
Compare GitLab plans
Community forum
Contribute to GitLab
Provide feedback
Keyboard shortcuts
?
Snippets
Groups
Projects
Show more breadcrumbs
Libvirt Packaging Team
libvirt
Commits
a790aa02
Commit
a790aa02
authored
8 years ago
by
Guido Günther
Browse files
Options
Downloads
Patches
Plain Diff
autopkgtests: check capabilities
parent
a16eda33
No related branches found
No related tags found
No related merge requests found
Changes
2
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
debian/tests/smoke-lxc
+8
-2
8 additions, 2 deletions
debian/tests/smoke-lxc
debian/tests/smoke-qemu-session
+13
-5
13 additions, 5 deletions
debian/tests/smoke-qemu-session
with
21 additions
and
7 deletions
debian/tests/smoke-lxc
+
8
−
2
View file @
a790aa02
...
...
@@ -5,6 +5,7 @@ set -x
export
LIBVIRT_DEFAULT_URI
=
'lxc:///'
XML
=
debian/tests/smoke-lxc.xml
DOMAIN
=
sl
cleanup
()
...
...
@@ -18,10 +19,15 @@ cleanup()
trap
cleanup EXIT
virsh define debian/tests/smoke-lxc.xml
virt-host-validate lxc
virsh capabilities
virsh capabilities |
grep
-qs
'emulator>/usr/lib/libvirt/libvirt_lxc'
virsh capabilities |
grep
-qs
'os_type>exe'
virt-xml-validate
${
XML
}
virsh define
${
XML
}
virsh start
${
DOMAIN
}
virsh list |
grep
-qs
"
${
DOMAIN
}
[[:space:]]
\+
running"
virsh
-c
lxc:///
lxc-enter-namespace
--noseclabel
${
DOMAIN
}
/bin/ls /bin/ls
virsh lxc-enter-namespace
--noseclabel
${
DOMAIN
}
/bin/ls /bin/ls
virsh destroy
${
DOMAIN
}
virsh undefine
${
DOMAIN
}
CLEANED_UP
=
1
...
...
This diff is collapsed.
Click to expand it.
debian/tests/smoke-qemu-session
+
13
−
5
View file @
a790aa02
...
...
@@ -4,6 +4,8 @@ set -e
set
-x
export
LIBVIRT_DEFAULT_URI
=
'qemu:///session'
XML
=
debian/tests/smoke-qemu-session.xml
DOMAIN
=
sqs
cleanup
()
{
...
...
@@ -26,11 +28,17 @@ if [ $(uname -m) != "x86_64" ]; then
exit
0
fi
virsh define debian/tests/smoke-qemu-session.xml
virsh start sqs
virsh list |
grep
-qs
'sqs[[:space:]]\+running'
virsh destroy sqs
virsh undefine sqs
echo echo
"Running as
$USER
"
virt-host-validate qemu
||
true
virsh capabilities
virsh capabilities |
grep
-qs
"arch name='x86_64'"
virsh capabilities |
grep
-qs
'os_type>hvm'
virt-xml-validate
${
XML
}
virsh define
${
XML
}
virsh start
${
DOMAIN
}
virsh list |
grep
-qs
"
${
DOMAIN
}
[[:space:]]
\+
running"
virsh destroy
${
DOMAIN
}
virsh undefine
${
DOMAIN
}
CLEANED_UP
=
1
echo
'Smoke test of qemu session:/// succesful'
...
...
This diff is collapsed.
Click to expand it.
Preview
0%
Loading
Try again
or
attach a new file
.
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Save comment
Cancel
Please
register
or
sign in
to comment